﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ReportsLibrary.ServiceReference1;

namespace ReportsLibrary
{
    public class NorthwindDataAccess
    {
        public IEnumerable<Products_by_Category> GetProductsByCategory(string categoryName)
        {
            var serviceRoot = new Uri("http://services.odata.org/Northwind/Northwind.svc");
            var serviceContext = new NorthwindEntities(serviceRoot);
            var productQuery = from product in serviceContext.Products_by_Categories
                               where product.CategoryName.StartsWith(categoryName) || categoryName == null
                               select product;

            return productQuery.ToArray();
        }
    }
}
